

local _, namespace = ...

local L = setmetatable({

--New/Changed -- Needs to be uploaded to curseforge for translations
["CURSE_TRACKER_TOOLTIP"] = "Displays a class icon for each player in your group \nthat will start glowing when someone is \ncursed. Simply click the icon to dispel that person.\n\nThe units can only be safely loaded out of combat \ndue to the way taint works. Any units that fail to \nload in combat will be loaded upon leaving combat.\nThe same goes for changing the size or turning it on/off.\n\nHold CTRL to click through the units and drag \nthe frame easier.",

---

["SLOW_FALL"] = GetSpellInfo(130),
["ICE_WARD"] = GetSpellInfo(111264),
["FINGERS_OF_FROST"] = GetSpellInfo(44544),
["FROZEN_ORB"] = GetSpellInfo(84714),
["ICY_VEINS"] = GetSpellInfo(12472),
["MIRROR_IMAGE"] = GetSpellInfo(55342),
["PYROBLAST"] = GetSpellInfo(11366),
["RING_OF_FROST"] = GetSpellInfo(113724),
["RUNE_OF_POWER"] = GetSpellInfo(116014),
["SPELLSTEAL"] = GetSpellInfo(30449),
["HYPOTHERMIA"] = GetSpellInfo(41425),
["ALTER_TIME"] = GetSpellInfo(110909),
["ARCANE_CHARGE"] = GetSpellInfo(36032),
["ARCANE_MISSILES"] = GetSpellInfo(5143),
["ARCANE_POWER"] = GetSpellInfo(12042),
["BRAIN_FREEZE"] = GetSpellInfo(57761),
["CAUTERIZE"] = GetSpellInfo(87023),
["COMBUSTION"] = GetSpellInfo(11129),
["POLYMORPH"] = GetSpellInfo(118),
["AUTO_SHOT"] = GetSpellInfo(75),
["MELEE_SWING"] = GetSpellInfo(6603), -- auto attack
["MESSAGE"] = "Message",
["TIMER"] = "Timer",
["NOTIFICATION"] = "Notification",
["MONITOR"] = "Monitor",
["TRACKER"] = "Tracker",
["SCALE"] = "Scale",
["ENABLE"] = "Enable",
["WATER_ELEMENTAL"] = "Water Elemental",
["BOMB"] = "Bomb",
["CURSE"] = "Curse",
["SHOW_MINIMAP_BUTTON"] = "Show Minimap Button",
["MOVE_CASTING_BAR"] = "Move Casting Bar",
["CASTING_BAR_FRAME_MOVER"] = "Casting Bar Frame Mover",
["STOLE"] = "Stole:",
["PERIODIC"] = "(Periodic)",
["POLYMORPH_BROKEN_MESSAGE"] = "Polymorph broken by",
["POLYMORPH_EXPIRED_MESSAGE"] = "Polymorph expired on",
["POLYMORPH_APPLIED_MESSAGE"] = "Polymorph casted on",
["WITH"] = "with",
["STOLEN_SPELLS"] = "Stolen Spells",
["RELOADUI"] = "Mage Candy Needs To Reload \nThe UI To Finish Making Changes.",
["SLASH"] = "Mage Candy Slash Commands:\n/mc => Options Menu \n/magecandy => Options Menu",


--Mana Bar
["SPELL_CALCULATOR_SCALE"] = "Spell Calculator Scale", 
["ENABLE_HEALTH_BAR_TOOLTIP"] = "Requires Mana Bar to be enabled.", 
["MANA_BAR"] = "Mana Bar",
["ENABLE_MANA_BAR"] = "Enable Mana Bar",
["ENABLE_HEALTH_BAR"] = "Enable Health Bar",
["MANA_BAR_MARKER_SHOW"] = "Show Mana Bar Marker",
["HEALTH_BAR_PERCENT"] = "Show Health Bar Text As A Percent",
["HEALTH_BAR_NUMBER"] = "Show Health Bar Text As A Number",
["MANA_BAR_PERCENT"] = "Show Mana Bar Text As A Percent",
["MANA_BAR_NUMBER"] = "Show Mana Bar Text As A Number",
["MANA_BAR_WIDTH"] = "Mana Bar & Health Bar Width",
["MANA_BAR_HEIGHT"] = "Mana Bar Height",
["HEALTH_BAR_HEIGHT"] = "Health Bar Height",
["MANA_BAR_SCALE"] = "Mana Bar & Health Bar Scale",
["MANA_BAR_RESERVE_SHOW"] = "Show Mana Bar Reserve Marker",
["MANA_BAR_RESERVE_SHOW_TOOLTIP"] = "This value also lets the mana bar know how much mana \nyou want to put aside for other spells, if you plan \non running it low. (Like spamming spellsteal in PVP)\n\nThe mana bar will flash red when below this value. \n(Doesn't have to be shown for the reserve function to work)",
["HEALTH_BAR_MAX"] = "Show Maximum Health",
["MANA_BAR_MAX"] = "Show Maximum Mana",
["MANA_BAR_TEXT_HEIGHT"] = "Mana Bar Text Size",
["HEALTH_BAR_TEXT_HEIGHT"] = "Health Bar Text Size",
["LOW_MANA"] = "Low Mana!",
["CALCULATOR_SPELL_INPUT"] = "Spell Calculator Spell ",
["CALCULATOR_SPELL_INPUT_TOOLTIP"] = "The Spell Calculator will display how many times you can cast \nthis spell without going below your reserve mana amount.\nThis is an excellent tool for PVP (spellstealing without using\ntoo much mana) and for Arcane spec (Arcane Blast).\n\nLeave this field blank if you don't want anything tracked,\nand the frame will be hidden.\n\nWorks even if Mana Bar is disabled.",
["SPELL_CALCULATOR"] = "Spell Calculator",

--Trackers--
["PERSEC"] = "/s", -- stands for per second for mana per second in stat meter
["STATHEADERS"] = "Power:\nHaste:\nCritical:\nMastery:\nRegen:",
["REMOVED"] = "Removed: ",

--Notifications--
["LAZY_MAGE"] = "Lazy Mage",
["MISSING"] = "Missing",
["CHARGES"] = "Charges",
["NOT_SUMMONED"] = "Not Summoned",

--Trackers Menu--
["TRACKERS"] = "Trackers",
["STATS_SHOW"] = "Live Stat Tracker",
["BOMB_TRACKER_TOOLTIP"] = "Displays timers for the bombs you have applied \nand who they are applied on. The tracker will \ndisplay the 5 most recent bomb applications.",
["COMBUSTION_TRACKER_TOOLTIP"] = "Displays the duration of your ignite on your \ncurrent target, with markers on the bar indicating\nwhere the next ignite tick will occur. It also displays \nan estimate on the total damage that combustion will \ndo if you apply it. (Just the base damage without crits)",
["MIRROR_IMAGE_TRACKER_TOOLTIP"] = "Displays the health of all of your images and \ntracks their health for their duration, so you \nknow exactly when to worry about aggro.",
["WATER_ELEMENTAL_TRACKER_TOOLTIP"] = "Displays your water elementals health, \nstance, target, target health and cast bar \nall in a nice and compact frame.",
["ARCANE_CHARGE_TRACKER_TOOLTIP"] = "A simple combo bar type tracker that shows\nhow many arcane charges you have.",

--Options Menu--
["HIDE_ALL_FRAMES"] = "Hide All Frames",
["LOCK_FRAMES"] = "Lock Frames",
["HIDE_FRAMES"] = "Hide Frames When Not In Combat",
["SHOW_ALL_FRAMES"] = "Show All Frames",
["TEST"] = "Test",
["LOAD"] = "Load",
["DELETE_WARNING"] = "Are You Sure You Want To Delete \n This Profile? \n\n ",
["PROFILE"] = "Profile - ",
["PROFILE_NOT_FOUND"] = "Profile Not Found: ",
["PROFILE_LOADED"] = "Profile Loaded: ",
["PROFILE_CREATED"] = "Profile Created: ",
["PROFILE_SAVED"] = "Profile Saved: ",
["PROFILE_DELETED"] = "Profile Deleted: ",
["PROFILE_ALREADY_EXISTS"] = "A Profile With That Name Already Exists",
["BAD_PROFILE_NAME"] = "Please Enter A Profile Name",
["DEFAULTS_WARNING"] = "Warning!!! This Will Reset All \nSettings In The Loaded Profile \nBack To The Defaults. \nAre You Sure?",
["BAR_STYLE"] = "Bar Style",
["SMALL_BAR_STYLE"] = "Small Bar Style",
["COOLDOWN_STYLE"] = "Cooldown Style",
["ENABLE_SOUND_EFFECT"] = "Enable Sound",
["SOUND_EFFECT_TOOLTIP"] = "If you want to change the sound effect, simply \nreplace the sound file of equal name in the \nsounds folder with the sound effect you prefer.\n(The new sound file must have the same name \nas the old one, and you will need to restart the game)",
["ENABLE_LOW_MANA_SOUND_EFFECT"] = "Enable Low Mana Sound",
["ENABLE_WATER_ELEMENTAL_DEATH_SOUND_EFFECT"] = "Enable Water Elemental Death Sound",
["ENABLE_RUNE_OF_POWER_SOUND_EFFECT"] = "Enable Sound Notification For When Rune of Power Expires.",
["ENABLE_RUNE_OF_POWER_SOUND_EFFECT_TOOLTIP"] = "If you want to change the sound effect, simply \nreplace the sound file of equal name in the \nsounds folder with the sound effect you prefer.\n(The new sound file must have the same name \nas the old one, and you will need to restart the game)\n\nFor Rune of Power, the sound will replay every \n3 seconds while in combat if you have no \nRune Of Power summoned.",

--Notifications Menu--
["NOTIFICATIONS"] = "Notifications",
["LAZY_MAGE_SHOW"] = "Enable Lazy Mage Notifications (Missing Buffs Etc) <- Doesn't Show In Combat",
["LAZY_MAGE_SCALE"] = "Lazy Mage Scale",
["LAZY_MAGE_NOT_FULL_CHARGES_SHOW"] = "Show Notification When Mana Gem Is Missing Charges (Out Of Combat Only)",

--Polymorph Menu--
["SHOW_POLYMORPH_TIMER"] = "Show Polymorph Timer",
["POLYMORPH_APPLY_SHOW"] = "Display Notification When Polymorph Is Applied",
["POLYMORPH_REMOVE_SHOW"] = "Display Notification When Polymorph Is Removed",
["POLYMORPH_TIMER_SCALE"] = "Polymorph Timer Scale",
["POLYMORPH_ANNOUNCE_SHOW"] = "Announce Enabled Notifications When In A Group",

--Spellsteal Menu--
["PLAY_ANIMATION"] = "Play Animation",
["SPELLSTEAL_MESSAGE_SHOW"] = "Show Spellsteal Message",
["SPELLSTEAL_MONITOR_BACKGROUND_SHOW"] = "Show Spellsteal Monitor Frame Backgrounds",
["SPELLSTEAL_MONITOR_HEADER_SHOW"] = "Show Spellsteal Monitor Frame Headers",
["SPELLSTEAL_MONITOR_FLIP_BUFFS"] = "Start Buffs On Bottom",
["SPELLSTEAL_NOTIFICATION_SHOW"] = "Show Spellsteal Notification (Animation)",
["SPELLSTEAL_MONITOR_SHOW_TARGET"] = "Show Target Spellsteal Frame",
["SPELLSTEAL_MONITOR_SHOW_FOCUS"] = "Show Focus Spellsteal Frame",
["SPELLSTEAL_MONITOR_SHOW_STOLEN"] = "Show Stolen Spells Frame",
["SPELLSTEAL_MONITOR_TARGET_SCALE"] = "Target Spellsteal Frame Scale",
["SPELLSTEAL_MONITOR_FOCUS_SCALE"] = "Focus Spellsteal Frame Scale",
["SPELLSTEAL_MONITOR_STOLEN_SCALE"] = "Stolen Spells Frame Scale",
["SPELLSTEAL_MONITOR_NOTIFICATION_SCALE"] = "Spellsteal Notification Scale (Animated Icon)",

--Timers Menu--
["TIMERS"] = "Timers",
["RUNE_OF_POWER_TIMER_SHOW"] = "Rune of Power Timer (2 Separate Timers)",
["CAUTERIZE_COOLDOWN"] = "Cauterize CD",

}, { __index = function(t, k)
	local v = tostring(k)
	rawset(t, k, v)
	return v
end })

namespace.L = L

local LOCALE = GetLocale()

if LOCALE:match("^en") then
return end

if LOCALE == "deDE" then
	-- German translations go here

return end

if LOCALE == "frFR" then
	-- French translations go here

return end

if LOCALE == "esES" or LOCALE == "esMX" then
	-- Spanish translations go here

return end

if LOCALE == "ptBR" then
	-- Brazilian Portuguese translations go here

return end

if LOCALE == "ruRU" then
	-- Russian translations go here

return end

if LOCALE == "koKR" then
	-- Korean translations go here

return end

if LOCALE == "zhCN" then
	-- Simplified Chinese translations go here

return end

if LOCALE == "zhTW" then
	-- Traditional Chinese translations go here

return end